import java.io.*;
import java.util.function.*;

public class Solution {
    public static void main(String[] args) throws IOException {
        BufferedReader br = new BufferedReader(new InputStreamReader(System.in));

        Integer n = Integer.valueOf(br.readLine());
        char s[] = br.readLine().toCharArray();

        Integer curWhite = 0;
        Integer maxWhite;

        Function<Integer, Integer> getChar = (k) -> {
            return Boolean.compare(s[k] == 'W', false);
        };

        for (Integer i = 0; i < n; ++i) {
            curWhite += getChar.apply(i);
        }
        maxWhite = curWhite;
        for (Integer i = 1; i < n; ++i) {
            curWhite -= getChar.apply(i - 1);
            curWhite += getChar.apply(i + n - 1);
            maxWhite = Math.max(maxWhite, curWhite);
        }

        System.out.println(maxWhite);
    }
}
